/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.mycompany.ctfposhbot_b;

import cz.cuni.amis.pogamut.sposh.context.UT2004Context;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;

/**
 *
 * @author Jan Vojt <jan@vojt.net>
 * @copyright (c) 2012 Jan Vojt
 */
@PrimitiveInfo(name = "canSeeOurFlag", description = "Can I see our flag?")
public class CanSeeOurFlag extends StateSense<UT2004Context, Boolean> {

    public CanSeeOurFlag(UT2004Context ctx) {
        super("canSeeOurFlag", ctx);
    }
    
    @Override
    public Boolean query(VariableContext vc) {
		return ctx.getCtf().getOurFlag().isVisible()
				// lets suppose we have relevant memory
				|| ctx.getCtf().getOurFlag().getLocation() != null;
    }

}
