/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.mycompany.ctfposhbot_b;

import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.ActionResult;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateAction;
import cz.cuni.amis.pogamut.ut2004.communication.messages.gbinfomessages.Player;

/**
 *
 * @author vojtj
 */
@PrimitiveInfo(name = "captureFlag", description = "Capture enemy Flag and shoot while running.")
public class CaptureFlag extends StateAction<CTFContext> {

    public CaptureFlag(CTFContext ctx) {
        super("captureFlag", ctx);
    }
    
    @Override
    public void init(VariableContext vc) {
    
    }

    @Override
    public ActionResult run(VariableContext vc) {
    
        ctx.getNavigation().navigate(ctx.getCtf().getEnemyFlag().getLocation());
		ctx.getLog().info("Capturing enemy flag.");
        
		// shoot enemies on the way
		Player p = ctx.getPlayers().getNearestVisibleEnemy();
		if (p == null) ctx.getShoot().stopShooting();
		else ctx.getShoot().shoot(p);
        
        return ActionResult.RUNNING;
    }

    @Override
    public void done(VariableContext vc) {
        ctx.getNavigation().stopNavigation();
		ctx.getShoot().stopShooting();
    }
    
}
