/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.mycompany.ctfposhbot_b;

import cz.cuni.amis.pogamut.sposh.context.UT2004Context;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;

/**
 *
 * @author Jan Vojt <jan@vojt.net>
 * @copyright (c) 2012 Jan Vojt
 */
@PrimitiveInfo(name = "hasAmmo", description = "Do I have some ammo?")
public class HasAmmo extends StateSense<UT2004Context, Boolean> {

    public HasAmmo(UT2004Context ctx) {
        super("hasAmmo", ctx);
    }
    
    @Override
    public Boolean query(VariableContext vc) {
		boolean hasAmmo = ctx.getWeaponry().hasLoadedWeapon();
        return hasAmmo;
    }
}
