/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.mycompany.ctfposhbot_b;

import cz.cuni.amis.pogamut.sposh.context.UT2004Context;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;

/**
 *
 * @author Jan Vojt <jan@vojt.net>
 * @copyright (c) 2012 Jan Vojt
 */
@PrimitiveInfo(name = "ourTeamHasFlag", description = "Is our team carrying enemy flag?")
public class OurTeamHasFlag extends StateSense<UT2004Context, Boolean> {

    public OurTeamHasFlag(UT2004Context ctx) {
        super("ourTeamHasFlag", ctx);
    }
    
    @Override
    public Boolean query(VariableContext vc) {
        return ctx.getCtf().isOurTeamCarryingEnemyFlag();
    }

}
