/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.mycompany.ctfposhbot_b;

import cz.cuni.amis.pogamut.sposh.context.UT2004Context;
import cz.cuni.amis.pogamut.sposh.engine.VariableContext;
import cz.cuni.amis.pogamut.sposh.executor.PrimitiveInfo;
import cz.cuni.amis.pogamut.sposh.executor.StateSense;
import cz.cuni.amis.pogamut.ut2004.communication.messages.ItemType;

/**
 *
 * @author Jan Vojt <jan@vojt.net>
 * @copyright (c) 2012 Jan Vojt
 */
@PrimitiveInfo(name = "mapHasHealth", description = "Are there any health packs on map?")
public class MapHasHealth extends StateSense<UT2004Context, Boolean> {

    public MapHasHealth(UT2004Context ctx) {
        super("mapHasHealth", ctx);
    }
    
    @Override
    public Boolean query(VariableContext vc) {
        return ctx.getItems().getAllItems(ItemType.HEALTH_PACK).size() > 0;
    }
	
}
